Skip to main content
`Ctrl`+`K`

# EPSExtraction

Determines the type of extraction technique employed by the eigensolver.

## Synopsis

    typedef enum { EPS_RITZ,
                   EPS_HARMONIC,
                   EPS_HARMONIC_RELATIVE,
                   EPS_HARMONIC_RIGHT,
                   EPS_HARMONIC_LARGEST,
                   EPS_REFINED,
                   EPS_REFINED_HARMONIC } EPSExtraction;

## Values

- `EPS_RITZ` - Rayleigh-Ritz extraction

- `EPS_HARMONIC` - harmonic Ritz extraction

- `EPS_HARMONIC_RELATIVE` - harmonic Ritz extraction relative to the eigenvalue

- `EPS_HARMONIC_RIGHT` - harmonic Ritz extraction for rightmost eigenvalues

- `EPS_HARMONIC_LARGEST` - harmonic Ritz extraction for largest magnitude (without target)

- `EPS_REFINED` - refined Ritz extraction

- `EPS_REFINED_HARMONIC` - refined harmonic Ritz extraction

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetExtraction()`, `EPSGetExtraction()`

## Level

advanced

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages